<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bulma</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper has-background-white-bis">
        <div class="ml-4 my-4">
          <h1 class="title is-4">Time tracker</h1>
          {% assign activeUser = users | where: "id", options.activeUser | first %}
          <div class="subtitle">{{ activeUser.name }}</div>
        </div>
        <hr class="my-4">
        <aside class="menu">
          <div class="menu-list">
            <a class="is-active" href="index.html">
              <span class="icon is-small"><i class="fas fa-tachometer-alt"></i></span>
              <span class="ml-1">Dashboard</span>
            </a>
            <a href="time.html">
              <span class="icon is-small"><i class="far fa-clock"></i></span>
              <span class="ml-1">Time tracking</span>
            </a>
            <a href="projects.html">
              <span class="icon is-small"><i class="fas fa-project-diagram"></i></span>
              <span class="ml-1">Projects</span>
            </a>
            <a href="clients.html">
              <span class="icon is-small"><i class="fas fa-star"></i></span>
              <span class="ml-1">Clients</span>
            </a>
            <a href="teams.html">
              <span class="icon is-small"><i class="fas fa-users-cog"></i></span>
              <span class="ml-1">Teams</span>
            </a>
            <a href="users.html">
              <span class="icon is-small"><i class="fas fa-users"></i></span>
              <span class="ml-1">Users</span>
            </a>
            <a href="settings.html">
              <span class="icon is-small"><i class="fas fa-cogs"></i></span>
              <span class="ml-1">Settings</span>
            </a>
          </div>
        </aside>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar is-light" role="navigation" aria-label="main navigation">      
          <div class="navbar-menu is-active">
            <div class="navbar-start">
              <a class="navbar-item" id="js-open-nav">
                <span class="icon is-small">
                  <i class="fas fa-bars"></i>
                </span>
                <span class="ml-2">Menu</span>
              </a>
            </div>
        
            <div class="navbar-end">
              <div class="navbar-item">
                <div class="buttons">
                  <a class="button is-primary" href="#" id="js-logout">
                    <strong>Log out</strong>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </nav>
  
        <!-- START Content -->
        <section class="section">
        <div class="container">

          <div class="level">
            <div class="level-left">
              <h2 class="title is-3">Dashboard</h2>
            </div>
            <div class="level-right">
              <a href="../index.html" class="button is-small">Change framework</a>
              <button type="button" class="button is-small" id="js-load-data">Reset data</button>
            </div>
          </div>
    
    
          <div class="columns">
    
            <div class="column">
              <h3 class="title is-4">My tracker</h3>
    
              {% assign filteredEntries = entries | where: "userId", activeUser.id %}
              {% for entry in filteredEntries %}
                {% assign entryProject = projects | where: "id", entry.projectId | first %}
                {% if entryProject.active == 1 %}
                <div class="card mb-5">
                  <div class="card-content">
                    <div class="content">
                      <h5 class="mb-1">{{ entry.desc }}</h5>
                      <p>
                        <small>
                          Project: {{ entryProject.name }}<br>
                          <span class="mr-2 text-nowrap"><i class="far fa-clock"></i> {{ entry.startTime | date: "%H:%M" }} - {{ entry.endTime | date: "%H:%M" }} ({{ entry.startTime | timeDiff: entry.endTime }})</span>
                          <span class="text-nowrap"><i class="far fa-calendar-alt"></i> {{ entry.startTime | date: "%d.%m.%Y" }}</span>
                        </small>
                      </p>  
                    </div>  
                  </div>
                </div>
                {% endif %}
              {% endfor %}
    

              <div class="mt-5">
                <a href="time.html" class="button is-info">
                  <span class="icon">
                    <i class="fas fa-plus"></i> 
                  </span>
                  <span>Go to tracker</span>
                </a>
              </div>
    
            </div>
    
    
            <div class="column">
              <h3 class="title is-4">My tasks</h3>
    
              {% assign filteredTasks = tasks | where: "userId", activeUser.id %}
              {% for task in filteredTasks %}
                {% assign taskProject = projects | where: "id", task.projectId | first %}
                {% if taskProject.active == 1 %}
                {% if task.status == 0 %}
                <div class="card mb-5">
                  <div class="card-content">
                    <div class="columns">
                      <div class="column">
                        <div class="content">
                          <h5 class="mb-1">{{ task.name }}</h5>   
                          <p><small>Project: {{ taskProject.name }}</small></p>
                        </div>
                      </div>
                      <div class="column is-narrow">
                        <a href="detail.html?project={{ taskProject.id }}" class="button is-info">
                          <span class="icon is-small">
                            <i class="far fa-eye"></i>
                          </span>
                        </a>
                        <button type="button" class="button is-success" data-finish-task="{{ task.id }}">
                          <span class="icon is-small">
                            <i class="fas fa-check"></i>
                          </span>
                        </button>
                      </div>
                    </div>
                  </div>
                </div>
                {% endif %}
                {% endif %}
              {% endfor %}
    
            </div>
          </div>
        </div>
       </section>
        <!-- END Content -->


      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>